Greenchoice Scraper
Api

Get workflow

Single workflow detail, including its coupled profiles. Use this after selecting a workflow from the directory.

GET/v1/workflows/{workflowId}

Single workflow detail, including its coupled profiles. Use this after selecting a workflow from the directory.

Authorization

BearerAuth
AuthorizationBearer <token>

Database-provisioned API token for consumer API access. Send as Authorization: Bearer .

In: header

Path Parameters

workflowId*string

Response Body

application/json

application/json

application/json

curl -X GET "https://scraper.greenchoice.thirty-five.dev/v1/workflows/string"
{
  "data": {
    "workflowId": "string",
    "name": "string",
    "description": "string",
    "endpoint": "string",
    "runtimeWorkflowId": "string",
    "createdAt": 0,
    "updatedAt": 0,
    "profileCount": 0,
    "profiles": [
      {
        "profileId": "string",
        "name": "string"
      }
    ]
  }
}
{
  "error": "string",
  "code": "bad_request"
}
{
  "error": "string",
  "code": "bad_request"
}